# reference.rb

Path: | lib/supplemental/facets/reference.rb
Last Update: | Mon Dec 05 22:58:33 +0000 2011

# Reference

Reference provides a way to access object indirectly. This allows for the object itself to be changed on the fly.

## Synopsis

      a = "HELLO"
      b = ref(a)
      b.to_s    #=> "HELLO"
      c = 10
      b.become(c)
      b.to_s    #=> "10"

## Authors

- Thomas Sawyer

## Copying

Copyright (c) 2005 Thomas Sawyer

Ruby License

This module is free software. You may use, modify, and/or redistribute this software under the same terms as Ruby.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

[Validate]